## bme280 0.2.4~git720dcbe6+ds1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/bme280.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/bme280.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/bme280"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/bme280"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
bme280 (0.2.4~git720dcbe6+ds1-1) unstable; urgency=medium

  * Initial upload (Closes: #1002046)

 -- Anton Gladky <gladk@debian.org>  Mon, 20 Dec 2021 21:51:28 +0100

=== debian/control ===
Source: bme280
Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: Anton Gladky <gladk@debian.org>
Section: libs
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-dev,
               python3-tz,
               python3-smbus2,
               python3-pytest,
               python3-setuptools,
               sphinx
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/electronics-team/bme280
Vcs-Git: https://salsa.debian.org/electronics-team/bme280.git
Homepage: https://github.com/rm-hull/bme280

Package: python3-bme280
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-tz,
         python3-smbus2
Description: Python interface for a Bosch BME280 digital sensor module
 Sensor provides temperature, humidity and pressure through
 Python 3 using I2C interface.

Package: bme280-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Python interface for a Bosch BME280 digital sensor module. Docs
 Sensor provides temperature, humidity and pressure through
 Python 3 using I2C interface.
 Package provides documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = bme280

%:
	dh $@ --with python3 --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -rf *bme280.egg-info
	rm -rf doc/_build

execute_before_dh_installdocs:
	cd $(CURDIR)/doc && make html
	find $(CURDIR)/doc/_build/ -type f -print0 | xargs -0 sed -i 's/https:\/\/coveralls.io//g'
	find $(CURDIR)/doc/_build/ -type f -print0 | xargs -0 sed -i 's/https:\/\/img.shields.io//g'
	find $(CURDIR)/doc/_build/ -type f -print0 | xargs -0 sed -i 's/https:\/\/raw.githubusercontent//g'
	find $(CURDIR)/doc/_build/ -type f -print0 | xargs -0 sed -i 's/https:\/\/travis-ci\.org//g'

## bme280 0.2.4

=== debian/changelog ===
bme280 (0.2.4-2) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Add some default configuration
  * Add patch from patch-queue branch
    Added patch:
    docs-Use-local-intersphinx-while-build-of-documentat.patch
    (Closes: #1090095)
  * d/control: d/control: Use dh-sequence-python3
  * d/control: Use dh-sequence-sphinxdoc
  * d/control: Use pybuild-plugin-pyproject in B-D
  * d/rules: Drop --with options in default target
  * d/rules: use dh_sphinxdoc to build documentation
  * d/control: Add python3-doc to B-D
  * d/control: Set BuildProfileSpecs on B-D
  * d/control: Switch python3-dev to -all
  * d/bme280-doc.docs: Drop this sequencer file
  * d/rules: Adjust dh_clean to remove .mypy_cache
  * d/bme280-doc.doc-base: Add additional sequencer

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 17 Dec 2024 18:35:34 +0200

bme280 (0.2.4-1) unstable; urgency=medium

  * [8c95563] New upstream version 0.2.4

 -- Anton Gladky <gladk@debian.org>  Mon, 21 Mar 2022 22:02:49 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,17 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3-dev,
-               python3-tz,
-               python3-smbus2,
-               python3-pytest,
-               python3-setuptools,
-               sphinx
-Standards-Version: 4.6.0
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
+               pybuild-plugin-pyproject,
+               python3-all,
+               python3-doc <!nodoc>,
+               python3-pytest <!nocheck>,
+               python3-setuptools <!nocheck>,
+               python3-smbus2 <!nocheck>,
+               python3-tz <!nodoc>,
+               sphinx <!nodoc>,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/electronics-team/bme280
 Vcs-Git: https://salsa.debian.org/electronics-team/bme280.git
 Homepage: https://github.com/rm-hull/bme280

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME = bme280

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -rf *bme280.egg-info
	rm -rf .mypy_cache

override_dh_sphinxdoc:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/bme \
	    python3 -m sphinx -b html -N doc/ $(CURDIR)/debian/bme280-doc/usr/share/doc/bme280-doc/html
	find $(CURDIR)/debian/bme280-doc/usr/share/doc/bme280-doc/html -type f -print0 | xargs -0 sed -i 's/https:\/\/coveralls.io//g'
	find $(CURDIR)/debian/bme280-doc/usr/share/doc/bme280-doc/html -type f -print0 | xargs -0 sed -i 's/https:\/\/img.shields.io//g'
	find $(CURDIR)/debian/bme280-doc/usr/share/doc/bme280-doc/html -type f -print0 | xargs -0 sed -i 's/https:\/\/raw.githubusercontent//g'
	find $(CURDIR)/debian/bme280-doc/usr/share/doc/bme280-doc/html -type f -print0 | xargs -0 sed -i 's/https:\/\/travis-ci\.org//g'
	dh_sphinxdoc
 endif

=== debian/watch ===
version=4
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//
https://github.com/rm-hull/bme280/tags .*/v?(\d\S+)\.tar\.gz
